commit 6507e8f6f55a840aaeec9e5d67e220b486307f7f
Author: berryc <berryc>
Date:   Thu Sep 2 18:01:42 2010 +0000

    Find the system poll and poll.h on VMS.

diff --git a/ChangeLog b/ChangeLog
index 5f1fcf6..70e2560 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Thu Sep  2 12:35:00 CDT 2010   Craig A. Berry <craigberry@mac.com>
+        * Find the system poll and poll.h on VMS.
+        * vms/config_h.vms
+
 Wed Sep  1 10:39:43 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tds_sysdep_public.h.in src/odbc/unittests/common.h:
 	* src/odbc/unittests/freeclose.c win32/winlogin.c win32/winsetup.c:
@@ -2845,4 +2849,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3116 2010/09/01 08:39:38 freddy77 Exp $
+$Id: ChangeLog,v 1.3117 2010/09/02 18:01:42 berryc Exp $
diff --git a/vms/config_h.vms b/vms/config_h.vms
index b122278..93fd50d 100644
--- a/vms/config_h.vms
+++ b/vms/config_h.vms
@@ -1,4 +1,4 @@
-/* $Id: config_h.vms,v 1.11 2010/06/26 23:47:02 berryc Exp $ */
+/* $Id: config_h.vms,v 1.12 2010/09/02 18:01:42 berryc Exp $ */
 
 /* include/config.h.in.  Generated from configure.ac by autoheader.  */
 /* and edited by hand for VMS */
@@ -149,6 +149,16 @@
 /* Define to 1 if you have the <paths.h> header file. */
 #undef HAVE_PATHS_H
 
+#if __CRTL_VER >= 70302000 && !defined(__VAX)
+
+/* Define to 1 if you have the `poll' function. */
+#define HAVE_POLL 1
+
+/* Define to 1 if you have the <poll.h> header file. */
+#define HAVE_POLL_H 1
+
+#endif
+
 /* Define to 1 if you have the GNU Readline library. */
 #define HAVE_READLINE 1
 

